Name:       yad
Version:    14.0
Release:    %mkrel 1
Summary:    Call GTK+ graphical dialog boxes from command line
Group:      Development/GNOME and GTK+
License:    GPLv3+
URL:        https://sourceforge.net/projects/yad-dialog
Source0:    https://github.com/v1cont/yad/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.16.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
# HTML widget support
BuildRequires:  pkgconfig(webkit2gtk-4.1)

# Common deps
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool >= 0.40.0

Requires:  %{name}-bin = %{version}-%{release}

%description
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.

This package provides common files and localizations. You should install
%{name}-gtk3 package to get Yad binary files and functionality.

%package -n %{name}-gtk3
Summary:   Call GTK+ 3.0 graphical dialog boxes from command line
Requires:  %{name} = %{version}-%{release}
Provides:  %{name}-bin = %{version}-%{release}

%description -n %{name}-gtk3
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.
This is GTK3 build of Yad.

%prep
# This package needs special attention. Please do not change to autosetup macro.
%setup -q

%build
%configure \
           --enable-icon-browser \
           --with-gtk=gtk3 \
           --enable-html
%make_build

%install
%make_install

mv -f %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}-gtk3
mv -f %{buildroot}%{_bindir}/%{name}-icon-browser %{buildroot}%{_bindir}/%{name}-icon-browser-gtk3

%find_lang %{name}

# Encoding key in group "Desktop Entry" is deprecated.
# Place the menu entry for yad-icon-browser under "Utilities".
desktop-file-install --remove-key Encoding     \
    --remove-category Development              \
    --add-category    Utility                  \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}-icon-browser.desktop

%post -n %{name}-gtk3
update-alternatives --install \
    %{_bindir}/%{name} %{name}-bin \
    %{_bindir}/%{name}-gtk3 \
    9 \
    --slave \
    %{_bindir}/%{name}-icon-browser %{name}-icon-browser-bin \
    %{_bindir}/%{name}-icon-browser-gtk3

%postun -n %{name}-gtk3
if [ "$1" -eq 0 ]; then
    update-alternatives --remove %{name}-bin %{_bindir}/%{name}-gtk3
fi

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS AUTHORS THANKS
%{_bindir}/yad-settings
%{_bindir}/yad-tools
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}-icon-browser.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man1/%{name}*.1*
%{_datadir}/glib-2.0/schemas/%{name}.gschema.xml
%ghost %{_bindir}/%{name}
%ghost %{_bindir}/%{name}-icon-browser

%files -n %{name}-gtk3
%{_bindir}/%{name}-gtk3
%{_bindir}/%{name}-icon-browser-gtk3


%changelog
* Sun Jun 30 2024 daviddavid <daviddavid> 14.0-1.mga10
+ Revision: 2078137
- new version: 14.0

* Sun Dec 03 2023 daviddavid <daviddavid> 13.0-1.mga10
+ Revision: 2012808
- new version: 13.0

* Sun Jan 29 2023 daviddavid <daviddavid> 12.3-1.mga9
+ Revision: 1936725
- new version: 12.3

* Wed Sep 21 2022 papoteur <papoteur> 12.0-3.mga9
+ Revision: 1891302
- Rebuild for webkit2-gtk4

* Tue Sep 20 2022 wally <wally> 12.0-2.mga9
+ Revision: 1890987
- build against webkit2gtk-4.1
- drop gtk2 support

* Thu Aug 11 2022 neoclust <neoclust> 12.0-1.mga9
+ Revision: 1876953
- New version 12.0

* Sat Apr 02 2022 umeabot <umeabot> 0.42.0-3.mga9
+ Revision: 1840274
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 0.42.0-2.mga8
+ Revision: 1523190
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 23 2019 wally <wally> 0.42.0-1.mga7
+ Revision: 1369655
- new version 0.42.0 (last one with gtk2 support)
- drop unneeded conflicts
- simplify build a bit
- update alternatives system

* Sun Sep 23 2018 umeabot <umeabot> 0.40.0-2.mga7
+ Revision: 1302007
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 tarakbumba <tarakbumba> 0.40.0-1.mga7
+ Revision: 1189110
- Updated to 0.40.0 version
- Update to 0.38.2 version

* Sat Jan 07 2017 tarakbumba <tarakbumba> 0.38.0-1.mga6
+ Revision: 1080533
- Update to 0.38.0 version

* Sat May 14 2016 tarakbumba <tarakbumba> 0.36.3-1.mga6
+ Revision: 1015059
- Update to 0.36.3 version

* Tue May 10 2016 tarakbumba <tarakbumba> 0.36.2-1.mga6
+ Revision: 1012191
- Update to 0.36.2 version
- Html support is disabled in gtk2 package due to security issues

* Sun Mar 20 2016 tarakbumba <tarakbumba> 0.35.0-1.mga6
+ Revision: 993346
- Update to 0.35.0 version

* Sat Mar 12 2016 tarakbumba <tarakbumba> 0.34.2-1.mga6
+ Revision: 989669
- Update to 0.34.2 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 0.34.1-1.mga6
+ Revision: 979669
- Update to 0.34.1 version

* Thu Feb 11 2016 tarakbumba <tarakbumba> 0.33.1-2.mga6
+ Revision: 955971
- Add html support for gtk+3 build

* Thu Jan 14 2016 tarakbumba <tarakbumba> 0.33.1-1.mga6
+ Revision: 923115
-Update to 0.33.1 version

* Fri Jan 01 2016 tarakbumba <tarakbumba> 0.33.0-1.mga6
+ Revision: 917684
- Update to 0.33.0 version

* Sat Nov 21 2015 tarakbumba <tarakbumba> 0.32.0-1.mga6
+ Revision: 904685
- Update to 0.32.0 version

* Tue Nov 03 2015 tarakbumba <tarakbumba> 0.31.3-1.mga6
+ Revision: 897674
- Update to 0.31.3 version

* Thu Oct 08 2015 tarakbumba <tarakbumba> 0.31.2-1.mga6
+ Revision: 887940
- Update to 0.31.2 version

* Mon Dec 15 2014 tarakbumba <tarakbumba> 0.27.0-1.mga5
+ Revision: 803194
- Update to 0.27.0 version

* Wed Oct 15 2014 umeabot <umeabot> 0.26.1-3.mga5
+ Revision: 739063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.26.1-2.mga5
+ Revision: 690812
- Mageia 5 Mass Rebuild

* Sat Mar 29 2014 tarakbumba <tarakbumba> 0.26.1-1.mga5
+ Revision: 609253
- Update to version 0.26.1

* Fri Dec 20 2013 tarakbumba <tarakbumba> 0.25.1-1.mga4
+ Revision: 559029
- imported package yad-gtk2

